Article ID: 117500, created on Sep 25, 2013, last review on May 11, 2014

  • Applies to:
  • APS 2.x


apsbuild command fails with the following error:

schemas/globals.schema.gen:1: Error: No content to map due to end-of-input
Error aps205: One of APS Types in a package must implement http://aps-standard.rg/types/core/application/1.0 type
Validation complete: 2 Error(s), 0 Warning(s)
Error: Failed to build package. Package is not valid.


aps-php-runtime tries to generate the schema files.

After that apsbuid tries to find which schema implements core/application, if it does not find it the above error is printed.


Most likely schema files were not generated.

If they are empty it is needed to change 'display_errors = stderr' in php.ini and rerun apsbuid command for this package.

The error will be printed into console:

>apsbuild package
Building package.......
Info: Schema will be regenerated for service 'provider' from PHP code
Error: Failed to build package. Failed to execute scripts/provider.php script:
Fatal error: Class 'APS\ResourceBase' not found in C:\APS\APS2\package\scripts\provider.php on line21 

717db81efe94e616312b74fb03a5d474 70bf700e0cdb9d7211df2595ef7276ab

Email subscription for changes to this article
Save as PDF